#!/bin/bash

./deps.sh

find acl.cool/serve/ ytheleus.org/serve/ -type f -mmin +11 -delete

function soup_config {
    rm soupault.toml
    cp ../soupault.toml soupault.toml
    cat soupault.toml.frag* >> soupault.toml
}

source ./pgvv/bin/activate

find acl.cool/site/ ytheleus.org/site/ -type f \( -name '*.dj' -o -name '*.html' \) -exec cat {} + > all_chars.txt
cat common_chars.txt >> all_chars.txt

for font in fonts/JuliaMono/*{-Light,-Regular,-SemiBold}{,Italic}.woff2; do
    echo "Subsetting $font"
    pyftsubset "$font" --flavor=woff2 --text-file=all_chars.txt --layout-features='*' \
        --output-file="$(awk -F '.woff2' '{print $1}' <<< "$font")-Subset.woff2"
done

#for font in fonts/Alegreya/static/Alegreya-{Regular,Italic,Bold,BoldItalic}.ttf; do
#    echo "Subsetting $font"
#    pyftsubset "$font" --text-file=all_chars.txt --layout-features='*' \
#        --output-file="$(awk -F '.ttf' '{print $1}' <<< "$font")-Subset.ttf"
#done
#
#for font in fonts/Alegreya_Sans/AlegreyaSans-{Regular,Italic,Bold,BoldItalic}.ttf; do
#    echo "Subsetting $font"
#    pyftsubset "$font" --text-file=all_chars.txt --layout-features='*' \
#        --output-file="$(awk -F '.ttf' '{print $1}' <<< "$font")-Subset.ttf"
#done

rm css/code.css
pygmentize -f html -S algol_nu | grep -v 'line-height' > css/code.css

builtin pushd acl.cool
soup_config
soupault
popd
builtin pushd ytheleus.org
soup_config
soupault
popd

deactivate
